//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Tecan.Sila2.Interop.Server.ObservablePropertyTest
{
    
    
    /// <summary>
    /// This is a test feature to test observable properties.
    /// </summary>
    [Tecan.Sila2.SilaFeatureAttribute(true, "test")]
    [Tecan.Sila2.SilaIdentifierAttribute("ObservablePropertyTest")]
    [Tecan.Sila2.SilaDisplayNameAttribute("Observable Property Test")]
    public partial interface IObservablePropertyTest
    {
        
        /// <summary>
        /// Always returns 42 and never changes.
        /// </summary>
        [Tecan.Sila2.ObservableAttribute()]
        long FixedValue
        {
            get;
        }
        
        /// <summary>
        /// Switches every second between true and false
        /// </summary>
        [Tecan.Sila2.ObservableAttribute()]
        bool Alternating
        {
            get;
        }
        
        /// <summary>
        /// Can be set through SetValue command
        /// </summary>
        [Tecan.Sila2.ObservableAttribute()]
        long Editable
        {
            get;
        }
        
        /// <summary>
        /// Changes the value of Editable
        /// </summary>
        /// <param name="value">The new value</param>
        void SetValue(long value);
    }
}
